Subject: [PATCH 0/2] netns: fix for NULL-dereference in ipv6 code

From: Brian Haley <[email-masked]>
Date: Thu, 14 Aug 2008 15:27:19 -0400

Hi,

When fixing the NULL-dereference of the idev in rt6_fill_node(), I
noticed that dev_net() doesn't handle a NULL argument either.  These two
patches fix that, as well as add a network namespace argument to
rt6_fill_node() and ipv6_dev_get_saddr().

-Brian